start:
	@cd server && \
	gunicorn -w 2 -b 0.0.0.0:18000 -k uvicorn.workers.UvicornWorker server:app --daemon
	@sleep 1s
	@ps -ef | grep gunicorn

stop:
	@pkill -f gunicorn
	@sleep 1s
	@ps -ef | grep gunicorn 

restart: 
	stop 
	start

status:
	@ps -ef | grep gunicorn 

debug:
	@cd server && \
	python3 server.py

test:
	@cd server && python3 test.py

log:
	@tail -f log/runtime.log

help:
	@echo "make start   => start server"
	@echo "make stop    => stop server"
	@echo "make restart => restart server"
	@echo "make status  => check server status"
	@echo "make debug   => python3 server.py"
	@echo "make log     => print log"
	@echo "make help    => help"

.PHONY: start stop restart status debug help log
